Name:           php-mcrypt
Version:        7.2.11
Release:        1
Packager:       Michael Stauber <mstauber@solarspeed.net>
Vendor:         SOLARSPEED.NET
URL:            http://www.solarspeed.net
License:        PHP
Group:          System
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      x86_64
Distribution:   BlueOnyx 5210R
Source:         %{name}-%{version}-%{release}.tar.gz
Summary:        PHP-7.2.11 mcrypt library from PECL
Requires: 	libmcrypt >= 2.5.7
Requires: 	php >= 7.2.11
Requires: 	httpd

%description
PHP-7.2.11 mcrypt library from PECL

%prep
%setup -q -n %{name}-%{version}-%{release}

%build
echo "Working on $RPM_BUILD_ROOT"

%install
%{__rm} -rf %{buildroot}
# set up path structure
mkdir %{buildroot}/
mv * %{buildroot}/

%pre

%post
systemctl condrestart httpd >/dev/null 2>&1 || :

%preun

%postun
systemctl condrestart httpd >/dev/null 2>&1 || :


%clean
rm -R -f $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config(noreplace) /etc/php.d/mcrypt.ini
%attr(0755,root,root) /usr/lib64/php/modules/mcrypt.so

%changelog

* Mon Feb 25 2019 Michael Stauber <mstauber@solarspeed.net>
- [7.2.11-1:] Initial build

